<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: Admin::ComposersController</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">Admin::ComposersController</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../../files/app/controllers/admin/composers_controller_rb.html">
                app/controllers/admin/composers_controller.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                <a href="../ApplicationController.html">
                ApplicationController
               </a>
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000101">create</a>&nbsp;&nbsp;
      <a href="#M000104">destroy</a>&nbsp;&nbsp;
      <a href="#M000102">edit</a>&nbsp;&nbsp;
      <a href="#M000098">index</a>&nbsp;&nbsp;
      <a href="#M000099">list</a>&nbsp;&nbsp;
      <a href="#M000100">new</a>&nbsp;&nbsp;
      <a href="#M000105">revert_to_version</a>&nbsp;&nbsp;
      <a href="#M000103">update</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000101" class="method-detail">
        <a name="M000101"></a>

        <div class="method-heading">
          <a href="#M000101" class="method-signature">
          <span class="method-name">create</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000101-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000101-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 26</span>
26:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">create</span>
27:     <span class="ruby-ivar">@composer</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">new</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:composer</span>])
28:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@composer</span>.<span class="ruby-identifier">save</span>
29:       <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notice</span>] = <span class="ruby-value str">'Composer was successfully created.'</span>
30:       <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
31:     <span class="ruby-keyword kw">else</span>
32:       <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'new'</span>
33:     <span class="ruby-keyword kw">end</span>
34:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000104" class="method-detail">
        <a name="M000104"></a>

        <div class="method-heading">
          <a href="#M000104" class="method-signature">
          <span class="method-name">destroy</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000104-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000104-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 55</span>
55:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">destroy</span>
56:     <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>]).<span class="ruby-identifier">destroy</span>
57:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
58:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000102" class="method-detail">
        <a name="M000102"></a>

        <div class="method-heading">
          <a href="#M000102" class="method-signature">
          <span class="method-name">edit</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000102-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000102-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 36</span>
36:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">edit</span>
37:     <span class="ruby-ivar">@composer</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
38:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000098" class="method-detail">
        <a name="M000098"></a>

        <div class="method-heading">
          <a href="#M000098" class="method-signature">
          <span class="method-name">index</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000098-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000098-source">
<pre>
   <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 2</span>
2:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">index</span>
3:     <span class="ruby-identifier">list</span>
4:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list'</span>
5:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000099" class="method-detail">
        <a name="M000099"></a>

        <div class="method-heading">
          <a href="#M000099" class="method-signature">
          <span class="method-name">list</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000099-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000099-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 7</span>
 7:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">list</span>
 8:     <span class="ruby-ivar">@order</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:order</span>]
 9:     <span class="ruby-ivar">@next_order</span> = {}
10:     <span class="ruby-keyword kw">for</span> <span class="ruby-identifier">column</span> <span class="ruby-keyword kw">in</span> <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">content_columns</span> 
11:       <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@order</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' asc'</span>
12:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span>] = <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' desc'</span>
13:       <span class="ruby-keyword kw">elsif</span> <span class="ruby-ivar">@order</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' desc'</span>
14:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span>] = <span class="ruby-keyword kw">nil</span>
15:       <span class="ruby-keyword kw">else</span>
16:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span>] = <span class="ruby-identifier">column</span>.<span class="ruby-identifier">name</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' asc'</span>
17:       <span class="ruby-keyword kw">end</span>
18:     <span class="ruby-keyword kw">end</span>
19:     <span class="ruby-ivar">@composer_pages</span>, <span class="ruby-ivar">@composers</span> = <span class="ruby-identifier">paginate</span> <span class="ruby-identifier">:composers</span>, <span class="ruby-identifier">:per_page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value">20</span>, <span class="ruby-identifier">:order</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@order</span>
20:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000100" class="method-detail">
        <a name="M000100"></a>

        <div class="method-heading">
          <a href="#M000100" class="method-signature">
          <span class="method-name">new</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000100-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000100-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 22</span>
22:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">new</span>
23:     <span class="ruby-ivar">@composer</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">new</span>
24:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000105" class="method-detail">
        <a name="M000105"></a>

        <div class="method-heading">
          <a href="#M000105" class="method-signature">
          <span class="method-name">revert_to_version</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000105-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000105-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 60</span>
60:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">revert_to_version</span>
61:     <span class="ruby-ivar">@composer</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>( <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:composer_id</span>] )
62:     <span class="ruby-ivar">@composer</span>.<span class="ruby-identifier">revert_to!</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:version_id</span>]
63:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@composer</span>
64:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000103" class="method-detail">
        <a name="M000103"></a>

        <div class="method-heading">
          <a href="#M000103" class="method-signature">
          <span class="method-name">update</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000103-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000103-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/admin/composers_controller.rb, line 40</span>
40:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">update</span>
41:     <span class="ruby-ivar">@composer</span> = <span class="ruby-constant">Composer</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>])
42:     <span class="ruby-keyword kw">case</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:submit</span>]
43:       <span class="ruby-keyword kw">when</span> <span class="ruby-value str">&quot;Save&quot;</span>
44:       <span class="ruby-keyword kw">when</span> <span class="ruby-value str">&quot;Save and version&quot;</span>
45:     
46:     <span class="ruby-keyword kw">end</span>
47:     <span class="ruby-identifier">redirect_to</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'show'</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@composer</span>
48:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@composer</span>.<span class="ruby-identifier">update_attributes</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:composer</span>])
49:       <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notice</span>] = <span class="ruby-value str">'Composer was successfully updated.'</span>
50:     <span class="ruby-keyword kw">else</span>
51:       <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'edit'</span>
52:     <span class="ruby-keyword kw">end</span>
53:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>